diff --git a/Source/Source.API.php b/Source/Source.API.php
index d51d7f0..cff3b7d 100644
--- a/Source/Source.API.php
+++ b/Source/Source.API.php
@@ -117,7 +117,7 @@ function Source_Parse_Bugfixes( $p_string ) {
  * checks the name for a matching username or realname.
  * @param object Changeset object
  */
-function Source_Parse_Users( &$p_changeset ) {
+function Source_Parse_Users( $p_changeset ) {
 	static $s_vcs_names;
 	static $s_names = array();
 	static $s_emails = array();
@@ -208,6 +208,8 @@ function Source_Parse_Users( &$p_changeset ) {
 		# Don't actually loop
 		break;
 	}
+
+	return $p_changeset;
 }
 /**
  * Given a set of changeset objects, parse the bug links
@@ -234,7 +236,7 @@ function Source_Process_Changesets( $p_changesets, $p_repo=null ) {
 
 	# Link author and committer name/email to user accounts
 	foreach( $p_changesets as $t_changeset ) {
-		Source_Parse_Users( $t_changeset );
+		$t_changeset = Source_Parse_Users( $t_changeset );
 	}
 
 	# Parse normal bug links
